import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Updateconfige, ContrConfig } from "../../domain/entities";
import { UpdateconfigeMongoModel, UpdateconfigeRawModel, ContrConfigMongoModel, ContrConfigRawModel } from "../dtos/updateconfige.dto";
export declare class UpdateconfigeMongoMapper extends MongoMapper<Updateconfige, UpdateconfigeMongoModel> {
    constructor();
    toEntity(mongoModel: UpdateconfigeMongoModel): Updateconfige;
}
export declare class ContrConfigMongoMapper extends MongoMapper<ContrConfig, ContrConfigMongoModel> {
    constructor();
    toEntity(mongoModel: ContrConfigMongoModel): ContrConfig;
}
export declare class UpdateconfigeRawMapper extends MapperImpl<Updateconfige, UpdateconfigeRawModel> {
    fromEntity(entity: Updateconfige): UpdateconfigeRawModel;
    toEntity(rawModel: UpdateconfigeRawModel): Updateconfige;
}
export declare class ContrConfigRawMapper extends MapperImpl<ContrConfig, ContrConfigRawModel> {
    fromEntity(entity: ContrConfig): ContrConfigRawModel;
    toEntity(rawModel: ContrConfigRawModel): ContrConfig;
}
