import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { AssetMongoModel, AssetRawModel } from '@alien-worlds/aw-antelope';
export type Candidates2MongoModel = {
    _id?: MongoDB.ObjectId;
    candidate_name?: string;
    requestedpay?: AssetMongoModel;
    rank?: number;
    gap_filler?: number;
    total_vote_power?: number;
    is_active?: number;
    number_voters?: number;
    avg_vote_time_stamp?: Date;
    [key: string]: unknown;
};
export type Candidates2RawModel = {
    candidate_name?: string;
    requestedpay?: AssetRawModel;
    rank?: number;
    gap_filler?: number;
    total_vote_power?: number;
    is_active?: number;
    number_voters?: number;
    avg_vote_time_stamp?: Date;
    [key: string]: unknown;
};
