"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Custodians1 = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Custodians1 {
    custName;
    requestedpay;
    totalVotePower;
    rank;
    numberVoters;
    avgVoteTimeStamp;
    id;
    constructor(custName, requestedpay, totalVotePower, rank, numberVoters, avgVoteTimeStamp, id) {
        this.custName = custName;
        this.requestedpay = requestedpay;
        this.totalVotePower = totalVotePower;
        this.rank = rank;
        this.numberVoters = numberVoters;
        this.avgVoteTimeStamp = avgVoteTimeStamp;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            custName: this.custName,
            requestedpay: this.requestedpay,
            totalVotePower: this.totalVotePower,
            rank: this.rank,
            numberVoters: this.numberVoters,
            avgVoteTimeStamp: this.avgVoteTimeStamp,
        };
    }
    static create(custName, requestedpay, totalVotePower, rank, numberVoters, avgVoteTimeStamp, id, rest) {
        const entity = new Custodians1(custName, requestedpay, totalVotePower, rank, numberVoters, avgVoteTimeStamp, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Custodians1('', aw_antelope_1.Asset.getDefault(), 0, 0, 0, new Date(0));
    }
}
exports.Custodians1 = Custodians1;
