import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { ExtendedAsset } from '@alien-worlds/aw-antelope';
export declare class Pendingpay implements Entity {
    key: number;
    receiver: string;
    quantity: ExtendedAsset;
    id?: string;
    constructor(key: number, receiver: string, quantity: ExtendedAsset, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(key: number, receiver: string, quantity: ExtendedAsset, id?: string, rest?: UnknownObject): Pendingpay;
    static getDefault(): Pendingpay;
}
