"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Proxies = void 0;
class Proxies {
    proxy;
    totalWeight;
    id;
    constructor(proxy, totalWeight, id) {
        this.proxy = proxy;
        this.totalWeight = totalWeight;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            proxy: this.proxy,
            totalWeight: this.totalWeight,
        };
    }
    static create(proxy, totalWeight, id, rest) {
        const entity = new Proxies(proxy, totalWeight, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Proxies('', 0);
    }
}
exports.Proxies = Proxies;
