import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Removecand } from "../../domain/entities";
import { RemovecandMongoModel, RemovecandRawModel } from "../dtos/removecand.dto";
export declare class RemovecandMongoMapper extends MongoMapper<Removecand, RemovecandMongoModel> {
    constructor();
    toEntity(mongoModel: RemovecandMongoModel): Removecand;
}
export declare class RemovecandRawMapper extends MapperImpl<Removecand, RemovecandRawModel> {
    fromEntity(entity: Removecand): RemovecandRawModel;
    toEntity(rawModel: RemovecandRawModel): Removecand;
}
