import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Voteproxy } from "../../domain/entities";
import { VoteproxyMongoModel, VoteproxyRawModel } from "../dtos/voteproxy.dto";
export declare class VoteproxyMongoMapper extends MongoMapper<Voteproxy, VoteproxyMongoModel> {
    constructor();
    toEntity(mongoModel: VoteproxyMongoModel): Voteproxy;
}
export declare class VoteproxyRawMapper extends MapperImpl<Voteproxy, VoteproxyRawModel> {
    fromEntity(entity: Voteproxy): VoteproxyRawModel;
    toEntity(rawModel: VoteproxyRawModel): Voteproxy;
}
