import { GetTableRowsOptions, Result, SmartContractService } from '@alien-worlds/aw-core';
import { CandidatesRawModel, Candidates2RawModel, CandpermsRawModel, Custodians1RawModel, DacglobalsRawModel, PendingpayRawModel, ProxiesRawModel, VotesRawModel } from '../deltas/data/dtos';
export declare abstract class DaoWorldsContractService extends SmartContractService {
    static Token: string;
    abstract fetchCandidates(options?: GetTableRowsOptions): Promise<Result<CandidatesRawModel[], Error>>;
    abstract fetchCandidates2(options?: GetTableRowsOptions): Promise<Result<Candidates2RawModel[], Error>>;
    abstract fetchCandperms(options?: GetTableRowsOptions): Promise<Result<CandpermsRawModel[], Error>>;
    abstract fetchCustodians1(options?: GetTableRowsOptions): Promise<Result<Custodians1RawModel[], Error>>;
    abstract fetchDacglobals(options?: GetTableRowsOptions): Promise<Result<DacglobalsRawModel[], Error>>;
    abstract fetchPendingpay(options?: GetTableRowsOptions): Promise<Result<PendingpayRawModel[], Error>>;
    abstract fetchProxies(options?: GetTableRowsOptions): Promise<Result<ProxiesRawModel[], Error>>;
    abstract fetchVotes(options?: GetTableRowsOptions): Promise<Result<VotesRawModel[], Error>>;
}
